com.tibbo.aggregate.common.util

## Class LogRedirectingHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - java.util.logging.ConsoleHandler
      - - com.tibbo.aggregate.common.util.LogRedirectingHandler

-     public class LogRedirectingHandler
      extends java.util.logging.ConsoleHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogRedirectingHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.logging.log4j.Level` | `convertLogLevel(java.util.logging.Level level)`
    `static org.apache.logging.log4j.Logger` | `findCorrespondingLogger(java.lang.String name, java.lang.String fullName)`
    `void` | `publish(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.ConsoleHandler

      `close`

    - ### Methods inherited from class java.util.logging.StreamHandler

      `flush, isLoggable, setEncoding, setOutputStream`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogRedirectingHandler

          public LogRedirectingHandler()

  - ### Method Detail

    - #### publish

          public void publish(java.util.logging.LogRecord record)

      Overrides:
        `publish` in class `java.util.logging.ConsoleHandler`

    - #### findCorrespondingLogger

          public static org.apache.logging.log4j.Logger findCorrespondingLogger(java.lang.String name,
                                                                                java.lang.String fullName)

    - #### convertLogLevel

          public static org.apache.logging.log4j.Level convertLogLevel(java.util.logging.Level level)